// CFTTAndroidRewardedVideos - [2022-04-09 18:08:20]
#ifndef _CFTTANDROIDREWARDEDVIDEOS_H_
#define _CFTTANDROIDREWARDEDVIDEOS_H_

#include "common.h"

/*
001F7CA8  CFTTAndroidRewardedVideos::Init(void)
001F7ED0  CFTTAndroidRewardedVideos::InitialiseUnityAds(void)
001F7F08  CFTTAndroidRewardedVideos::InitialiseChartboost(void)
001F7F40  CFTTAndroidRewardedVideos::InitialiseFacebook(void)
001F7F78  CFTTAndroidRewardedVideos::MoveToNextAd(void)
001F7F9C  CFTTAndroidRewardedVideos::PlayVideo(int,bool,bool)
001F81D4  CFTTAndroidRewardedVideos::IsAdTypeInitialised(ERewardedVideoProvider)
001F823C  CFTTAndroidRewardedVideos::AreAdsAvailable(ERewardedVideoProvider,int,bool)
001F82EC  CFTTAndroidRewardedVideos::GetTotalPercent(int)
001F8320  CFTTAndroidRewardedVideos::AreAdsAvailable(int)
001F8344  CFTTAndroidRewardedVideos::AreAdsCaching(ERewardedVideoProvider,int)
001F83B4  CFTTAndroidRewardedVideos::AdOnScreen(void)
001F83EC  CFTTAndroidRewardedVideos::SetPriority(ERewardedVideoProvider,int)
001F83FC  CFTTAndroidRewardedVideos::CompleteSetup(int,int,void (*)(int))
001F8540  CFTTAndroidRewardedVideos::InitialiseNextAdNetwork(void)
001F8674  CFTTAndroidRewardedVideos::ResetPriorities(void)
001F8694  CFTTAndroidRewardedVideos::SetPercent(ERewardedVideoProvider,int)
001F86A4  CFTTAndroidRewardedVideos::ResetPercents(void)
001F86B8  CFTTAndroidRewardedVideos::Shutdown(void)
001F86CC  CFTTAndroidRewardedVideos::Shutdown(ERewardedVideoProvider)
*/

enum ERewardedVideoProvider {
  ERewardedVideoProvider_UNK
};

class CFTTAndroidRewardedVideos {
public:
  __attribute__((noinline)) static void Init(void);                                          // 001F7CA8
  __attribute__((noinline)) static void InitialiseUnityAds(void);                            // 001F7ED0
  __attribute__((noinline)) static void InitialiseChartboost(void);                          // 001F7F08
  __attribute__((noinline)) static void InitialiseFacebook(void);                            // 001F7F40
  __attribute__((noinline)) static void MoveToNextAd(void);                                  // 001F7F78
  __attribute__((noinline)) static void PlayVideo(int, bool, bool);                          // 001F7F9C
  __attribute__((noinline)) static void IsAdTypeInitialised(ERewardedVideoProvider);         // 001F81D4
  __attribute__((noinline)) static void AreAdsAvailable(ERewardedVideoProvider, int, bool);  // 001F823C
  __attribute__((noinline)) static void GetTotalPercent(int);                                // 001F82EC
  __attribute__((noinline)) static void AreAdsAvailable(int);                                // 001F8320
  __attribute__((noinline)) static void AreAdsCaching(ERewardedVideoProvider, int);          // 001F8344
  __attribute__((noinline)) static void AdOnScreen(void);                                    // 001F83B4
  __attribute__((noinline)) static void SetPriority(ERewardedVideoProvider, int);            // 001F83EC
  __attribute__((noinline)) static void CompleteSetup(int, int, void (*)(int));              // 001F83FC
  __attribute__((noinline)) static void InitialiseNextAdNetwork(void);                       // 001F8540
  __attribute__((noinline)) static void ResetPriorities(void);                               // 001F8674
  __attribute__((noinline)) static void SetPercent(ERewardedVideoProvider, int);             // 001F8694
  __attribute__((noinline)) static void ResetPercents(void);                                 // 001F86A4
  __attribute__((noinline)) static void Shutdown(void);                                      // 001F86B8
  __attribute__((noinline)) static void Shutdown(ERewardedVideoProvider);                    // 001F86CC
};

#endif  //_CFTTANDROIDREWARDEDVIDEOS_H_